No arranco focusrite saffire pro 40

#61 por Berto1984 el 20/01/2010
Pues no se que decirte, con una instalación ubuntu totalmente limpia, solo hice lo que ponías en el post, así que debería ser esa versión (fue un copiar y pegar), no te lo puedo asegurar porque no estoy en ese ordenador ahora y no puedo mirarlo pero ya te digo que fue eso.

He estado mirando por ahí pero la verdad no me entero bien de cómo solucionarlo, seguiré probando a ver...
Subir
#62 por monon el 20/01/2010
hola berto
Piensa que si, una vez instalada la version compilada de svn, reinstalas desde apt-get ( o synaptic) alguno de los paquetes de ffado, puede darte errores.
Pero al mismo tiempo necesitas haberlos instalado desde synaptic por que algunos paquetes tienen a ffado como dependencia.
Subir
#63 por Berto1984 el 20/01/2010
Entonces probaré a reinstalar los paquetes desde synaptic y ya comento mañana.
Subir
#64 por monon el 21/01/2010
Pero despues de instalar los paquetes de synaptic debes reinstalar desde el svn de ffado

y tambien jackd. Si usas un sistema a 64 bits descargate el 0.118.0 si es a 32bits usa ya la version 1.9.4. La descargas y la compilas a postriori de ffado
Subir
#65 por Pato_147 el 05/11/2010
Hola, he compilado todo pero sigue sin prender la luz de FX Active, lei por ahi que hay que modificar algo del udev?? Que es eso? Perdon son muy principiante en esto y creo que estoy muy cerca de hacer funcionar la placa pero me falta esto..

Muchas gracias
Subir
#66 por Pablo_F el 05/11/2010
Hola,

Abre una terminal y lanza la herramienta de diagnosis de ffado, a ver qué dice:

ffado-diag

Saludos, Pablo
Subir
#67 por Pato_147 el 05/11/2010
Hola Pablo, gracias por responder

Al poner el diagnostico me dice:

Traceback (most recent call last):
File "/usr/bin/ffado-diag", line 29, in
from listirqinfo import IRQ,SoftIRQ,IRQInfo
ImportError: No module named listirqinfo


Veo que dice Error asi que seguro algo anda mal jajaja pero soy muy novato asi que no tengo idea como solucionar, si me podrias dar una mano te lo agradeceria y mucho!

Saludos

Pato
Subir
#68 por Pato_147 el 05/11/2010
Perdon parece que me faltaba un paquete, ahora si este es el diagnostico:


FFADO diagnostic utility 0.1
============================
(C) 2008 Pieter Palmers


=== CHECK ===
Base system...
kernel version............ 2.6.32-22-generic
FIXME: implement test for RT kernel
RT patched............... False
old 1394 stack present.... True
old 1394 stack loaded..... False
old 1394 stack active..... True
new 1394 stack present.... True
new 1394 stack loaded..... False
new 1394 stack active..... False
/dev/raw1394 node present. False
Prerequisites (dynamic at run-time)...
gcc................ gcc (Ubuntu 4.4.3-4ubuntu5) 4.4.3
g++................ g++ (Ubuntu 4.4.3-4ubuntu5) 4.4.3
PyQt............... Python User Interface Compiler 3.18.1 for Qt version 3.3.8b
jackd.............. jackd version 0.118.0 tmpdir /dev/shm protocol 24
path............. /usr/bin/jackd
flags............ -ljack -lpthread -lrt
libraw1394......... 2.0.4
flags............ -lraw1394
libavc1394......... Package libavc1394 was not found in the pkg-config search path.
Perhaps you should add the directory containing `libavc1394.pc'
to the PKG_CONFIG_PATH environment variable
No package 'libavc1394' found
flags............ Package libavc1394 was not found in the pkg-config search path.
Perhaps you should add the directory containing `libavc1394.pc'
to the PKG_CONFIG_PATH environment variable
No package 'libavc1394' found
libiec61883........ 1.2.0
flags............ -liec61883 -lraw1394
libxml++-2.6....... 2.30.0
flags............ -pthread -I/usr/include/libxml++-2.6 -I/usr/lib/libxml++-2.6/include -I/usr/include/libxml2 -I/usr/include/glibmm-2.4 -I/usr/lib/glibmm-2.4/include -I/usr/include/sigc++-2.0 -I/usr/lib/sigc++-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -pthread -lxml++-2.6 -lxml2 -lglibmm-2.4 -lgobject-2.0 -lsigc-2.0 -lgthread-2.0 -lrt -lglib-2.0
dbus-1............. 1.2.16
flags............ -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -L/lib -ldbus-1 -lpthread -lrt
Prerequisites (static at compile-time)...
gcc................ gcc (Ubuntu 4.4.3-4ubuntu5) 4.4.3
g++................ g++ (Ubuntu 4.4.3-4ubuntu5) 4.4.3
PyQt............... sh: pyuic: not found
jackd.............. sh: jackd: not found
path.............
flags............ Package jack was not found in the pkg-config search path.
libraw1394......... 2.0.4
flags............ -lraw1394
libavc1394......... Package libavc1394 was not found in the pkg-config search path.
flags............ Package libavc1394 was not found in the pkg-config search path.
libiec61883........ 1.2.0
flags............ -liec61883 -lraw1394
libxml++-2.6....... 2.26.1
flags............ -pthread -I/usr/include/libxml++-2.6 -I/usr/lib/libxml++-2.6/include -I/usr/include/libxml2 -I/usr/include/glibmm-2.4 -I/usr/lib/glibmm-2.4/include -I/usr/include/sigc++-2.0 -I/usr/lib/sigc++-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -pthread -lxml++-2.6 -lxml2 -lglibmm-2.4 -lgobject-2.0 -lsigc-2.0 -lgthread-2.0 -lrt -lglib-2.0
dbus-1............. 1.2.16
flags............ -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -L/lib -ldbus-1 -lpthread -lrt
Hardware...
Host controllers:
14:06.0 FireWire (IEEE 1394) [0c00]: Ricoh Co Ltd R5C832 IEEE 1394 Controller [1180:0832] (rev 05) (prog-if 10)
Subsystem: Toshiba America Info Systems Device [1179:ff10]
Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
Subir
#69 por Pablo_F el 06/11/2010
Hola,

De momento:

Si estás en ubuntu (o ubuntustudio) 10.04, ve a Sistema -> Administración -> Ubuntu Studio Controls

Si no está, instala el paquete ubuntustudio-controls

Habilita: Enable raw1394 access.

Por otro lado, es posible que te vaya a hacer falta un kernel rt para sacar el máximo de tu interfaz, pero en este caso tendrás que levantar la prioridad de ohci1394. También es posible que el controlador firewire te dé problemas, mira el comentario de Monon en alguno de sus primeros posts. Pero ve paso a paso. Primero lo del acceso a raw1394...

Saludos, Pablo
Subir
#70 por Pato_147 el 06/11/2010
Hola,

En realidad tengo la version Mint 9, pero estoy bajando el Ubunto Studio 10.10, creo que ya esta orientado a lo que necesito pensando en que soy novato jejeje, que te parece?

Pruebo lo que sucede y comento.

Muchas gracias!
Subir
#71 por Pablo_F el 06/11/2010
Si me dejas recomendarte, no instales 10.10. La razón es que 10_04 está mejor mantenida por la comunidad y eso no va a ocurrir con 10.10, sino que algunos de los cracks de los usuarios de ubuntu van a esperar a 11_04 para intentar mejorar la experiencia del primer usuario. No es que la 10.10 no funcione, es que la usa mucha menos gente y hay menos ayuda, al menos ahora mismo.

Si te gusta KDE prueba KXStudio [1] , si te gusta Gnome prueba Dream Studio Linux [2] versión 10_04 (no la última basada en 10.10).

(Hay escritorios mucho más sencillos que no consumen tantos recursos y que, en general, son más adecuados para el trabajo serio con música, pero lo puedes probar más tarde sin necesidad de reinstalar todo el sistema)

Ambas están basadas en ubuntu 10.04. De hecho, son hermanas de ubuntustudio 10_04 pero (en mi opinión) mejoradas y sobre todo, más fáciles para el que empieza siempre que tenga en cuenta que el 95% de las cosas que leas para ubuntu lucid son aplicables a tu distro también. De hecho Mint 9 también es hija de ubuntu, no me acuerdo qué versión. En cualquier distro basada en una versión determinada de ubuntu puedes conseguir lo mismo. Sin embargo, el camino es más largo con unas que con otras.

Hay otras opciones también. Está Musix, AVStudio, y otras que ni me acuerdo ahora mismo, o que prefiero no acordarme. Variedad en la huerta.

[1] http://kxstudio.sourceforge.net/
[2] http://dream.dickmacinnis.com/forum/node/5

Saludos, Pablo
Subir
#72 por Pato_147 el 07/11/2010
Pablo,

Muchas gracias por la ayuda, realmente muy interesante tu respuesta. Ya me estoy descargando KXStudio, de todas maneras me interesaria eso de tener un escritorio que consuma menos recursos! Para mi gusto, cuanto mas "rustico" mejor asi que si despues me podes recomendar uno te lo agradeceria.

Bueno voy a instalar esta distribución y hacer nuevamente los pasos de este post, les comento que resulta.

Nuevamente muchas gracias

Saludos, Andres
Subir
#73 por Splashman el 24/01/2011
Hola Buenas
En primer lugar agradecer lo que veo que os lo estais currando por aqui, creo que es el post donde mas he podido avanzar respecto al problema que os planteo:
Estoy intentado hacer andar mi saffire pro 24 dsp que tambien usa chipset dice; que no esta soportada pero que funciona como si fuera una saffire 40 o una 24 sin dsp ni vrm.
Parto desde una instalacion limpia de ubuntu Lucid 10.4 amd64 el firewire es agere
Comento todos los pasos que he seguido hasta el momento:

1ºHe instalado qjackctl
2ºhe seguido todos los pasos del post de monon de la primera pagina de las svn y sin problemas
3ºme he añadido al grupo audio y he creado las reglas de udev y las he añadido a udev.conf
4ºhe instalado ubuntu controls para permitir el acceso de 1394
5ºtambien he editado los limts.conf con prioridad rt para el grupo audio

Y esta es la salida que me devuelve jack cuando intento iniciar el server con los mensajes verbosos activados.

Alguien escribió:
17:50:43.186 Script de inicio...
17:50:43.186 artsshell -q terminate
sh: artsshell: not found
17:50:43.590 El script de inicio finalizó con estado 32512.
17:50:43.590 JACK está iniciándose...
17:50:43.591 /usr/bin/jackd -v -dfirewire -r44100 -p1024 -n3
17:50:43.599 JACK se inició con PID=18290.
jackd 0.120.1
Copyright 2001-2009 Paul Davis, Stephane Letz, Jack O'Quinn, Torben Hohn and others.
jackd comes with ABSOLUTELY NO WARRANTY
This is free software, and you are welcome to redistribute it
under certain conditions; see the file COPYING for details
getting driver descriptor from /usr/lib64/jack/jack_alsa.so
getting driver descriptor from /usr/lib64/jack/jack_net.so
getting driver descriptor from /usr/lib64/jack/jack_oss.so
getting driver descriptor from /usr/lib64/jack/jack_dummy.so
getting driver descriptor from /usr/lib64/jack/jack_firewire.so
no message buffer overruns
JACK compiled with System V SHM support.
server `default' registered
cannot lock down memory for jackd (Cannot allocate memory)
loading driver ..
registered builtin port type 32 bit float mono audio
registered builtin port type 8 bit raw midi
clock source = system clock via clock_gettime
start poll on 3 fd's
new client: firewire_pcm, id = 1 type 1 @ 0x2311130 fd = -1
new buffer size 1024
resizing port buffer segment for type 0, one buffer = 4096 bytes
JACK: unable to mlock() port buffers: Cannot allocate memory
resizing port buffer segment for type 1, one buffer = 4096 bytes
JACK: unable to mlock() port buffers: Cannot allocate memory
07258955051: (ffado.cpp)[ 92] ffado_streaming_init: libffado 2.999.0-1949 built Jan 24 2011 15:26:24
07259252753: [31mWarning (dice_eap.cpp)[1398] read: No routes found. Base 0x7, offset 0x4000
[0m07259285636: [31mWarning (dice_eap.cpp)[ 881] updateNameCache: What is this function about?
[0mfirewire ERR: Error creating FFADO streaming device
cannot load driver module firewire
starting server engine shutdown
freeing shared port segments
stopping server thread
last xrun delay: 0.000 usecs
max delay reported by backend: 0.000 usecs
freeing engine shared memory
max usecs: 0.000, engine deleted
cleaning up shared memory
cleaning up files
unregistering server `default'
no message buffer overruns
17:50:44.143 JACK ha sido detenido satisfactoriamente.
17:50:44.144 Script de post - apagado...
17:50:44.144 killall jackd
jackd: proceso no encontrado
17:50:44.555 El script de post - apagado finalizó con estado 256.
17:50:45.793 No puede conectarse al servidor JACK como cliente. - La operación global falló. - No puede conectarse al servidor. Por favor revise la ventana de mensajes para mas información.

agradeceria toda la ayuda posible ya que no se por donde tirar.
Subir
#74 por monon el 25/01/2011
Haz un
ls -la /dev/raw1394

deberia salirte algo así ( permisos, propietario y grupo)

crw-rw---- 1 root audio 171, 0 2011-01-25 09:58 /dev/raw1394

Esto es para confirmar que raw1394 pertenece efectivamente al grupo audio y que el grupo tiene permisos de escritura y lectura en él.

Una vez hecho esto averiguamos si pertenecemos al grupo audio inquiriendo todos los grupos a los que pertenecemos
groups usuario | tr " " "\n" | grep audio

Si no es así nos añadiremos al grupo audio
usermod -a -G audio usuario

Creo que es por alguna de estas razones que jack no puede hacer que ffado cree el "stream" correctamente y por eso no se carga el driver.
Alguien escribió:

[0mfirewire ERR: Error creating FFADO streaming device
cannot load driver module firewire
Subir
#75 por Pablo_F el 25/01/2011
Hola,

También observa que los mensajes de qjackctl dicen:

JACK: unable to mlock() port buffers: Cannot allocate memory

Probablemente porque tu usuario no tiene privilegio de memlock.

Veamos tus archivos de security/limits.conf, Además de lo que te pide monon,

¿Cuál es la salida del comando

cat /etc/security/limits.conf /etc/security/limits.d/audio.conf |grep -v "#"

?

Y de:

ulimit -r -l

Y otra cosa: A partir del kernel (creo que) 2.6.32, entra el "new firewire stack", llamado "juju stack", para el control de firewire. Casualmente, lucid trae el kernel 2.6.32-generic pero si instalas el rt, trae el 2.6.31.10-rt si no me falla la memoria. Si estás usando el juju stack, entonces ya no se usa /dev/raw1394.

La verdad que es un poco lioso... Lo mejor es que uses la herramienta de diagnosis de ffado y pongas aquí la salida a ver qué dice y te intentamos ayudar. El comando es:

ffado-diag

Necesitas el paquete ffado-tools, por si no lo tienes instalado.

Saludos, Pablo
Subir
Respuesta rápida

Regístrate o para poder postear en este hilo